:root {
  --background-color: whitesmoke;
  --text-color: black;
  --panel-color: rgba(220, 220, 220, 0.3);
  --root-padding-tb: 1rem;
  --root-padding-lr: 1rem;
  --root-font-size: 1rem;
}

@media screen and (min-width: 600px) {
  :root {
      --root-padding-tb: 2rem;
      --root-padding-lr: 2.5rem;
      --root-font-size: 1.125rem;
  }
}

html {
  font-size: 16px;
  /* font-size: clamp(12px, 1.2vw, 16px); */
  height: 100%;
}

body {
  font-family: 'Gothic A1', Pretndard, system-ui, -apple-system, BlinkMacSystemFont,
    "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue",
    sans-serif;
  width: 100%;
  height: 100%;
  text-align: start;
  word-break: keep-all;
  background-color: var(--background-color);
  /* background: linear-gradient(to bottom right, #c7c7f6, #2c4f8c); */
  overflow-y: hidden;
}

#main {
  flex: 1 1 auto;
  width: 100%;
  height: auto;
}

.section {
  display: flex;
  flex-direction: column;
}

/** Basic Layout */
.section > * {
  padding: var(--root-padding-tb) var(--root-padding-lr);
}

.section.is-1440 > * > * {
  max-width: 1440px;
}

.section.is-720 > * > * {
  max-width: 720px;
}

span.title, span.category, span.date {
  font-size: var(--root-font-size);
  font-weight: 400;
  position: relative;
  top: 1px;
}

.container.category span.title, .container.date span.date {
  line-height: 1.5;
}


.section.is-center {
  height: 100%;
  justify-content: center;
  align-items: center;
}

.container {
  display: flex;
}

.container.main {
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
}

.container.left {
  display: flex;
  flex-direction: row;
  align-items: baseline;
  gap: 0.75rem 1rem;
  width: 100%;
}

.container.title {
  width: fit-content;
  /* border: 1.5px solid var(--text-color); */
  outline: 1px solid var(--text-color);
  border: 0;
  background-color: var(--background-color);
}

.container.title a {
  display: flex;
  padding: 0.25rem 0.75rem;
  line-height: 1.5;
}

@media screen and (min-width: 600px) {
  .container.title a {
    padding: 0.375rem 0.75rem;
  }
}

.container.title:hover {
  background-color: var(--text-color);
  color: var(--background-color);
}

.container.is-center {
  justify-content: center;
  align-items: center;
  height: 100%;
}

.container.is-between {
  width: 100%;
  justify-content: space-between;
}

/** Typography */
.is-xs {
  font-size: 0.75rem;
}

.is-sm {
  font-size: 0.875rem;
}

.is-md {
  font-size: 1rem;
}

.is-lg {
  font-size: 1.125rem;
}

.is-xl {
  font-size: 1.25rem;
}

.title {
  font-size: 1.5rem;
  font-weight: 900;
}

.content {
  font-size: 1rem;
  font-weight: 500;
}

.content.is-large {
  font-size: 1.125rem;
}

.content.is-small {
  font-size: 0.875rem;
}

/** Columns */
.columns {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: var(--row-gap) var(--col-gap);
  position: relative;
}

.column {
  grid-column: span 12;
}

.column.is-hidden,
.column.is-hidden-600,
.column.is-hidden-900,
.column.is-hidden-1200,
.column.is-hidden-1500,
.column.is-hidden-1800 {
  display: none;
}

.column.is-1-12 {
  grid-column: span 1;
}

.column.is-2-12 {
  grid-column: span 2;
}

.column.is-3-12 {
  grid-column: span 3;
}

.column.is-4-12 {
  grid-column: span 4;
}

.column.is-5-12 {
  grid-column: span 5;
}

.column.is-6-12 {
  grid-column: span 6;
}

.column.is-7-12 {
  grid-column: span 7;
}

.column.is-8-12 {
  grid-column: span 8;
}

.column.is-9-12 {
  grid-column: span 9;
}

.column.is-10-12 {
  grid-column: span 10;
}

.column.is-11-12 {
  grid-column: span 11;
}

.column.is-12-12 {
  grid-column: span 12;
}

@media screen and (min-width: 600px) {
  .column.is-hidden-600 {
    display: block;
  }

  .column.is-1-12-600 {
      grid-column: span 1;
  }
  .column.is-2-12-600 {
      grid-column: span 2;
  }
  .column.is-3-12-600 {
      grid-column: span 3;
  }
  .column.is-4-12-600 {
      grid-column: span 4;
  }
  .column.is-5-12-600 {
      grid-column: span 5;
  }
  .column.is-6-12-600 {
      grid-column: span 6;
  }
  .column.is-7-12-600 {
      grid-column: span 7;
  }
  .column.is-8-12-600 {
      grid-column: span 8;
  }
  .column.is-9-12-600 {
      grid-column: span 9;
  }
  .column.is-10-12-600 {
      grid-column: span 10;
  }
  .column.is-11-12-600 {
      grid-column: span 11;
  }
  .column.is-12-12-600 {
      grid-column: span 12;
  }
  .column-sticky {
      position: sticky;
      top: calc(var(--gap) * 2.5);
  }
}

@media screen and (min-width: 900px) {
  .column.is-hidden-900 {
    display: block;
  }
  .column.is-1-12-900 {
      grid-column: span 1;
  }
  .column.is-2-12-900 {
      grid-column: span 2;
  }
  .column.is-3-12-900 {
      grid-column: span 3;
  }
  .column.is-4-12-900 {
      grid-column: span 4;
  }
  .column.is-5-12-900 {
      grid-column: span 5;
  }
  .column.is-6-12-900 {
      grid-column: span 6;
  }
  .column.is-7-12-900 {
      grid-column: span 7;
  }
  .column.is-8-12-900 {
      grid-column: span 8;
  }
  .column.is-9-12-900 {
      grid-column: span 9;
  }
  .column.is-10-12-900 {
      grid-column: span 10;
  }
  .column.is-11-12-900 {
      grid-column: span 11;
  }
  .column.is-12-12-900 {
      grid-column: span 12;
  }
}

@media screen and (min-width: 1200px) {
  .column.is-hidden-1200 {
    display: block;
  }
  .column.is-1-12-1200 {
      grid-column: span 1;
  }
  .column.is-2-12-1200 {
      grid-column: span 2;
  }
  .column.is-3-12-1200 {
      grid-column: span 3;
  }
  .column.is-4-12-1200 {
      grid-column: span 4;
  }
  .column.is-5-12-1200 {
      grid-column: span 5;
  }
  .column.is-6-12-1200 {
      grid-column: span 6;
  }
  .column.is-7-12-1200 {
      grid-column: span 7;
  }
  .column.is-8-12-1200 {
      grid-column: span 8;
  }
  .column.is-9-12-1200 {
      grid-column: span 9;
  }
  .column.is-10-12-1200 {
      grid-column: span 10;
  }
  .column.is-11-12-1200 {
      grid-column: span 11;
  }
  .column.is-12-12-1200 {
      grid-column: span 12;
  }
}

@media screen and (min-width: 1500px) {
  .column.is-hidden-1500 {
    display: block;
  }
  .column.is-1-12-1500 {
      grid-column: span 1;
  }
  .column.is-2-12-1500 {
      grid-column: span 2;
  }
  .column.is-3-12-1500 {
      grid-column: span 3;
  }
  .column.is-4-12-1500 {
      grid-column: span 4;
  }
  .column.is-5-12-1500 {
      grid-column: span 5;
  }
  .column.is-6-12-1500 {
      grid-column: span 6;
  }
  .column.is-7-12-1500 {
      grid-column: span 7;
  }
  .column.is-8-12-1500 {
      grid-column: span 8;
  }
  .column.is-9-12-1500 {
      grid-column: span 9;
  }
  .column.is-10-12-1500 {
      grid-column: span 10;
  }
  .column.is-11-12-1500 {
      grid-column: span 11;
  }
  .column.is-12-12-1500 {
      grid-column: span 12;
  }
}

@media screen and (min-width: 1800px) {
  .column.is-hidden-1800 {
    display: block;
  }
  .column.is-1-12-1800 {
      grid-column: span 1;
  }
  .column.is-2-12-1800 {
      grid-column: span 2;
  }
  .column.is-3-12-1800 {
      grid-column: span 3;
  }
  .column.is-4-12-1800 {
      grid-column: span 4;
  }
  .column.is-5-12-1800 {
      grid-column: span 5;
  }
  .column.is-6-12-1800 {
      grid-column: span 6;
  }
  .column.is-7-12-1800 {
      grid-column: span 7;
  }
  .column.is-8-12-1800 {
      grid-column: span 8;
  }
  .column.is-9-12-1800 {
      grid-column: span 9;
  }
  .column.is-10-12-1800 {
      grid-column: span 10;
  }
  .column.is-11-12-1800 {
      grid-column: span 11;
  }
  .column.is-12-12-1800 {
      grid-column: span 12;
  }
}
